<?php

use App\Http\Controllers\EvoTalksController;
use App\Http\Controllers\PipeDriveController;
use App\Http\Controllers\SyncController;
use Illuminate\Support\Facades\Route;

Route::prefix('evotalks')->name('evotalks.')->group(function () {
    Route::post('/create-opportunity', [EvoTalksController::class, 'createOpportunity'])->name('create');
    Route::post('/update-opportunity', [EvoTalksController::class, 'updateOpportunity'])->name('update');
    Route::post('/remove-opportunity', [EvoTalksController::class, 'removeOpportunity'])->name('remove');
    Route::post('/lose-opportunity', [EvoTalksController::class, 'loseOpportunity'])->name('lose');
    Route::post('/win-opportunity', [EvoTalksController::class, 'winOpportunity'])->name('win');
    Route::post('/transfer-opportunity', [EvoTalksController::class, 'transferOpportunity'])->name('transfer');
    Route::post('/change-opportunity-stage', [EvoTalksController::class, 'changeOpportunityStage'])->name('change-stage');
    Route::post('/insert-opportunity-note', [EvoTalksController::class, 'insertOpportunityNote'])->name('insert-note');
    Route::post('/getOpportunity', [EvoTalksController::class, 'getOpportunity'])->name('get');
    Route::post('/get-pipe-opportunities', [EvoTalksController::class, 'getPipeOpportunities'])->name('get-pipe');
});

Route::prefix('pipedrive')->name('pipedrive.')->group(function () {
    Route::get('/deals', [PipeDriveController::class, 'getDeals'])->name('deals');
    Route::get('/deal/{id}', [PipeDriveController::class, 'getDeal'])->name('deal');
    Route::put('/deal/{id}', [PipeDriveController::class, 'updateDeal'])->name('update');
});

Route::prefix('sync')->name('sync.')->group(function () {
    Route::post('/pipedrive/create-opportunity', [SyncController::class, 'syncCreatedOpportunityFromPipeDrive'])->name('create');
    Route::post('/pipedrive/update-opportunity', [SyncController::class, 'syncUpdatedOpportunityFromPipeDrive'])->name('update');
});
